[Social Widget] Manual installation for Magento Version < 1.3.

This process is useful for the following cases:

  • Your theme doesn't have defined enough block references so you can not finish the WIdget instance creation
  • Your Magento Version is previous than 1.3.x so you don't have widget support.

If you are in one of those cases you could add the needed code to your product layout, the code is in app/code/community/BeeShopy/Beescial/Block/Iframe.php method toHtml.

This is the code you should add to your product template, according to the article update time.

$product = Mage::registry('current_product');
$domain = urlencode(Mage::getBaseURL());
$url =  urlencode(Mage::helper('core/url')->getCurrentUrl());

if($product){
  $html = "
  <div id='beesocial' class='product-view' style='text-align:center;'".
  "  data-domain='".$domain.
  "' data-product-id='".$product->getId(). 
  "' data-url='".$url.
  "' data-fb-comment-style='".Mage::getStoreConfig('beesocial_options/general/color').
  "' data-css-style='".Mage::getStoreConfig('beesocial_options/general/style').
  "' data-disable-like='".Mage::getStoreConfig('beesocial_options/general/disable_fb_like').
  "' data-disable-twitter='".Mage::getStoreConfig('beesocial_options/general/disable_twitter').
  "' data-disable-comment='".Mage::getStoreConfig('beesocial_options/general/disable_comments').
  "' data-disable-plusone='".Mage::getStoreConfig('beesocial_options/general/disable_plusone').
  "' data-fb-comment-num-post='".Mage::getStoreConfig('beesocial_options/fb_comments/number').
  "' data-comment-width='".Mage::getStoreConfig('beesocial_options/fb_comments/width').
  "' platform='magento'".
  "' data-twitter-text='".Mage::getStoreConfig('beesocial_options/twitter/text').
  "' ></div> <script type='text/javascript' src='//www.beetailer.com/javascripts/beetailer.js?v=120'></script>
<style>#beesocial iframe{width:".(Mage::getStoreConfig('beesocial_options/fb_comments/width') + 10)."px;}  </style>";
return $html;
}

Hope it helps.

Best

Miguel